> ## Documentation Index
> Fetch the complete documentation index at: https://docs.incident.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> List all escalation paths in your account.

An escalation path is a series of steps that describe how a page should be escalated,
represented as a graph, supporting conditional branches based on alert priority and
working intervals.




## OpenAPI

````yaml /openapi/tags/escalation-paths-v2.json get /v2/escalation_paths
openapi: 3.0.3
info:
  description: "This is the API reference for incident.io.\n\nIt documents available API endpoints, provides examples of how to use it, and\ninstructions around things like authentication and error handling.\n\nThe API is hosted at:\n\n- https://api.incident.io/\n\nAnd you will need to create an API key via your [incident.io\ndashboard](https://app.incident.io/settings/api-keys) to make requests.\n\n# Making requests\n\nHere are the key concepts required to make requests to the incident.io API.\n\n## Authentication\n\nFor all requests made to the incident.io API, you'll need an API key.\n\nTo create an API key, head to the incident dashboard and visit [API\nkeys](https://app.incident.io/settings/api-keys). When you create the key, you'll be able to choose what actions it\ncan take for your account: choose carefully, as those roles can only be set\nwhen you first create the key. We'll only show you the token once, so make sure\nyou store it somewhere safe.\n\nAPI keys are global to your incident.io account, and can be managed by anyone\nwho has the right permissions. We display the user that created the API key,\nand the API key will remain valid if that user becomes deactivated.\n\nOnce you have the key, you should make requests to the API that set the\n`Authorization` request header using a \"Bearer\" authentication scheme:\n\n```\nAuthorization: Bearer <YOUR_API_KEY>\n```\n\n## Rate Limits\n\nThe incident.io API enforces rate limits to ensure consistent performance for all users.\n\nThe default rate limit is 1200 requests/minute per API key. This limit applies to most endpoints across the API.\n\nSome endpoints have lower rate limits, particularly those that interact with external third-party systems that impose\ntheir own limitations. These specific limits vary by endpoint, and we recommend relying on the rate-limit error\nresponses to understand usage patterns and implement appropriate retry strategies.\n\nWhen you exceed a rate limit, the API will respond with a `429 Too Many Requests` status code, along with a JSON\nresponse that includes information about the limit and when you can retry:\n\n```json\n{\n    \"type\": \"too_many_requests\",\n    \"status\": 429,\n    \"request_id\": \"b839a403-7704-41c1-bf6a-39a2d68caefa\",\n    \"rate_limit\": {\n        \"name\": \"api_key_name\",\n        \"limit\": 1200,\n        \"remaining\": 0,\n        \"retry_after\": \"Thu, 17 Apr 2025 11:17:18 UTC\"\n    },\n    \"errors\": [\n        {\n            \"code\": \"too_many_requests\",\n            \"message\": \"Too many requests hit the API too quickly. We recommend an exponential backoff of your requests.\"\n        }\n    ]\n}\n```\n\nThe response includes:\n* The name of the API key (`name`)\n* The bucket limit (`limit`)\n* The number of requests remaining (`remaining`)\n* When you can retry requests (`retry_after`)\n\n## Errors\n\nWe use standard HTTP response codes to indicate the status or failure of API\nrequests.\n\nThe API response body will be JSON, and contain more detailed information on the\nnature of the error.\n\nAn example error when a request is made without an API key:\n\n```json\n{\n  \"type\": \"authentication_error\",\n  \"status\": 401,\n  \"request_id\": \"8e3cc412-b49d-4957-9073-2c19d2c61804\",\n  \"errors\": [\n    {\n      \"code\": \"missing_authorization_material\",\n      \"message\": \"No authorization material provided in request\"\n    }\n  ]\n}\n```\n\nNote that the error:\n\n- Contains the HTTP status (`401`)\n- References the type of error (`authentication_error`)\n- Includes a `request_id` that can be provided to incident.io support to help\n\tdebug questions with your API request\n- Provides a list of individual errors, which go into detail about why the error\n\toccurred\n\nThe most common error will be a 422 Validation Error, which is returned when the\nrequest was rejected due to failing validations.\n\nThese errors look like this:\n\n```json\n{\n  \"type\": \"validation_error\",\n  \"status\": 422,\n  \"request_id\": \"631766c4-4afd-4803-997c-cd700928fa4b\",\n  \"errors\": [\n    {\n      \"code\": \"is_required\",\n      \"message\": \"A severity is required to open an incident\",\n      \"source\": {\n        \"field\": \"severity_id\"\n      }\n    }\n  ]\n}\n```\n\nThis error is caused by not providing a severity identifier, which should be at\nthe `severity_id` field of the request payload. Errors like these can be mapped to\nforms, should you be integrating with the API from a user-interface.\n\n## Compatibility\n\nWe won't make breaking changes to existing API services or endpoints, but will\nexpect integrators to upgrade themselves to the latest API endpoints within 3\nmonths of us deprecating the old service.\n\nWe will make changes that are considered backwards compatible, which include:\n\n- Adding new API endpoints and services\n- Adding new properties to responses from existing API endpoints\n- Reordering properties returned from existing API endpoints\n- Adding optional request parameters to existing API endpoints\n- Altering the format or length of IDs\n- Adding new values to enums\n\nIt is important that clients are robust to these changes, to ensure reliable\nintegrations.\n\nAs an example, if you are generating a client using an openapi-generator, ensure\nthe generated client is configured to support unknown enum values, often\nconfigured via the `enumUnknownDefaultCase` parameter.\n\nWhen breaking changes are unavoidable, we'll create a new service version on a\nseparate path, and run them in parallel.\n\nFor example:\n\n- https://api.incident.io/v1/incidents\n- https://api.incident.io/v2/incidents\n\nFor any questions, email support@incident.io.\n"
  title: incident.io
  version: 1.0.0
servers:
  - url: https://api.incident.io
security:
  - BearerAuth: []
tags:
  - description: >
      Create and manage escalation paths, and create, list and filter
      escalations.


      With incident.io On-call you can create escalation paths that describe how
      a page should

      be escalated to people and schedules.
    name: Escalation Paths V2
paths:
  /v2/escalation_paths:
    get:
      tags:
        - Escalation Paths V2
      summary: List
      description: >
        List all escalation paths in your account.


        An escalation path is a series of steps that describe how a page should
        be escalated,

        represented as a graph, supporting conditional branches based on alert
        priority and

        working intervals.
      operationId: Escalations V2_ListPaths
      parameters:
        - allowEmptyValue: true
          description: Integer number of records to return
          example: 25
          in: query
          name: page_size
          schema:
            default: 25
            description: Integer number of records to return
            example: 25
            format: int64
            maximum: 25
            minimum: 1
            type: integer
        - allowEmptyValue: true
          description: >-
            An record's ID. This endpoint will return a list of records after
            this ID in relation to the API response order.
          example: 01FDAG4SAP5TYPT98WGR2N7W91
          in: query
          name: after
          schema:
            description: >-
              An record's ID. This endpoint will return a list of records after
              this ID in relation to the API response order.
            example: 01FDAG4SAP5TYPT98WGR2N7W91
            type: string
      responses:
        '200':
          content:
            application/json:
              example:
                escalation_paths:
                  - current_responders:
                      - email: lisa@incident.io
                        id: 01FCNDV6P870EA6S7TK1DSYDG0
                        name: Lisa Karlin Curtis
                        role: owner
                        slack_user_id: U02AYNF2XJM
                    id: 01FCNDV6P870EA6S7TK1DSYDG0
                    name: Urgent Support
                    path:
                      - delay:
                          delay_interval_condition: active
                          delay_seconds: 300
                          delay_weekday_interval_config_id: 01FCNDV6P870EA6S7TK1DSYDG0
                        id: 01FCNDV6P870EA6S7TK1DSYDG0
                        if_else:
                          conditions:
                            - operation:
                                label: Lawrence Jones
                                value: 01FCQSP07Z74QMMYPDDGQB9FTG
                              param_bindings:
                                - array_value:
                                    - label: Lawrence Jones
                                      literal: SEV123
                                      reference: incident.severity
                                  value:
                                    label: Lawrence Jones
                                    literal: SEV123
                                    reference: incident.severity
                              subject:
                                label: Incident Severity
                                reference: incident.severity
                          else_path:
                            - {}
                          then_path:
                            - {}
                        level:
                          ack_mode: all
                          round_robin_config:
                            enabled: false
                            rotate_after_seconds: 120
                          targets:
                            - id: lawrencejones
                              schedule_mode: currently_on_call
                              selected_rota_id: 01FCNDV6P870EA6S7TK1DSYDG0
                              type: schedule
                              urgency: high
                          time_to_ack_interval_condition: active
                          time_to_ack_seconds: 1800
                          time_to_ack_weekday_interval_config_id: 01FCNDV6P870EA6S7TK1DSYDG0
                        notify_channel:
                          targets:
                            - id: lawrencejones
                              schedule_mode: currently_on_call
                              selected_rota_id: 01FCNDV6P870EA6S7TK1DSYDG0
                              type: schedule
                              urgency: high
                          time_to_ack_interval_condition: active
                          time_to_ack_seconds: 1800
                          time_to_ack_weekday_interval_config_id: 01FCNDV6P870EA6S7TK1DSYDG0
                        repeat:
                          repeat_times: 3
                          to_node: 01FCNDV6P870EA6S7TK1DSYDG0
                        type: if_else
                    repeat_config:
                      delay_repeat_on_activity: false
                      repeat_after_seconds: 1800
                    team_ids:
                      - 01JPQA75EPNEES4479P16P4XAB
                    working_hours:
                      - id: abc123
                        name: abc123
                        timezone: abc123
                        weekday_intervals:
                          - end_time: '17:00'
                            start_time: '09:00'
                            weekday: monday
                pagination_meta:
                  after: 01FCNDV6P870EA6S7TK1DSYDG0
                  page_size: 25
              schema:
                $ref: '#/components/schemas/EscalationsListPathsResultV2'
          description: OK response.
components:
  schemas:
    EscalationsListPathsResultV2:
      example:
        escalation_paths:
          - current_responders:
              - email: lisa@incident.io
                id: 01FCNDV6P870EA6S7TK1DSYDG0
                name: Lisa Karlin Curtis
                role: owner
                slack_user_id: U02AYNF2XJM
            id: 01FCNDV6P870EA6S7TK1DSYDG0
            name: Urgent Support
            path:
              - delay:
                  delay_interval_condition: active
                  delay_seconds: 300
                  delay_weekday_interval_config_id: 01FCNDV6P870EA6S7TK1DSYDG0
                id: 01FCNDV6P870EA6S7TK1DSYDG0
                if_else:
                  conditions:
                    - operation:
                        label: Lawrence Jones
                        value: 01FCQSP07Z74QMMYPDDGQB9FTG
                      param_bindings:
                        - array_value:
                            - label: Lawrence Jones
                              literal: SEV123
                              reference: incident.severity
                          value:
                            label: Lawrence Jones
                            literal: SEV123
                            reference: incident.severity
                      subject:
                        label: Incident Severity
                        reference: incident.severity
                  else_path:
                    - {}
                  then_path:
                    - {}
                level:
                  ack_mode: all
                  round_robin_config:
                    enabled: false
                    rotate_after_seconds: 120
                  targets:
                    - id: lawrencejones
                      schedule_mode: currently_on_call
                      selected_rota_id: 01FCNDV6P870EA6S7TK1DSYDG0
                      type: schedule
                      urgency: high
                  time_to_ack_interval_condition: active
                  time_to_ack_seconds: 1800
                  time_to_ack_weekday_interval_config_id: 01FCNDV6P870EA6S7TK1DSYDG0
                notify_channel:
                  targets:
                    - id: lawrencejones
                      schedule_mode: currently_on_call
                      selected_rota_id: 01FCNDV6P870EA6S7TK1DSYDG0
                      type: schedule
                      urgency: high
                  time_to_ack_interval_condition: active
                  time_to_ack_seconds: 1800
                  time_to_ack_weekday_interval_config_id: 01FCNDV6P870EA6S7TK1DSYDG0
                repeat:
                  repeat_times: 3
                  to_node: 01FCNDV6P870EA6S7TK1DSYDG0
                type: if_else
            repeat_config:
              delay_repeat_on_activity: false
              repeat_after_seconds: 1800
            team_ids:
              - 01JPQA75EPNEES4479P16P4XAB
            working_hours:
              - id: abc123
                name: abc123
                timezone: abc123
                weekday_intervals:
                  - end_time: '17:00'
                    start_time: '09:00'
                    weekday: monday
        pagination_meta:
          after: 01FCNDV6P870EA6S7TK1DSYDG0
          page_size: 25
      properties:
        escalation_paths:
          example:
            - current_responders:
                - email: lisa@incident.io
                  id: 01FCNDV6P870EA6S7TK1DSYDG0
                  name: Lisa Karlin Curtis
                  role: owner
                  slack_user_id: U02AYNF2XJM
              id: 01FCNDV6P870EA6S7TK1DSYDG0
              name: Urgent Support
              path:
                - delay:
                    delay_interval_condition: active
                    delay_seconds: 300
                    delay_weekday_interval_config_id: 01FCNDV6P870EA6S7TK1DSYDG0
                  id: 01FCNDV6P870EA6S7TK1DSYDG0
                  if_else:
                    conditions:
                      - operation:
                          label: Lawrence Jones
                          value: 01FCQSP07Z74QMMYPDDGQB9FTG
                        param_bindings:
                          - array_value:
                              - label: Lawrence Jones
                                literal: SEV123
                                reference: incident.severity
                            value:
                              label: Lawrence Jones
                              literal: SEV123
                              reference: incident.severity
                        subject:
                          label: Incident Severity
                          reference: incident.severity
                    else_path:
                      - {}
                    then_path:
                      - {}
                  level:
                    ack_mode: all
                    round_robin_config:
                      enabled: false
                      rotate_after_seconds: 120
                    targets:
                      - id: lawrencejones
                        schedule_mode: currently_on_call
                        selected_rota_id: 01FCNDV6P870EA6S7TK1DSYDG0
                        type: schedule
                        urgency: high
                    time_to_ack_interval_condition: active
                    time_to_ack_seconds: 1800
                    time_to_ack_weekday_interval_config_id: 01FCNDV6P870EA6S7TK1DSYDG0
                  notify_channel:
                    targets:
                      - id: lawrencejones
                        schedule_mode: currently_on_call
                        selected_rota_id: 01FCNDV6P870EA6S7TK1DSYDG0
                        type: schedule
                        urgency: high
                    time_to_ack_interval_condition: active
                    time_to_ack_seconds: 1800
                    time_to_ack_weekday_interval_config_id: 01FCNDV6P870EA6S7TK1DSYDG0
                  repeat:
                    repeat_times: 3
                    to_node: 01FCNDV6P870EA6S7TK1DSYDG0
                  type: if_else
              repeat_config:
                delay_repeat_on_activity: false
                repeat_after_seconds: 1800
              team_ids:
                - 01JPQA75EPNEES4479P16P4XAB
              working_hours:
                - id: abc123
                  name: abc123
                  timezone: abc123
                  weekday_intervals:
                    - end_time: '17:00'
                      start_time: '09:00'
                      weekday: monday
          items:
            $ref: '#/components/schemas/EscalationPathV2'
          type: array
        pagination_meta:
          $ref: '#/components/schemas/PaginationMetaResultV2'
      required:
        - escalation_paths
        - pagination_meta
      type: object
    EscalationPathV2:
      properties:
        current_responders:
          description: Users who are currently on-call for this escalation path
          example:
            - email: lisa@incident.io
              id: 01FCNDV6P870EA6S7TK1DSYDG0
              name: Lisa Karlin Curtis
              role: owner
              slack_user_id: U02AYNF2XJM
          items:
            $ref: '#/components/schemas/UserV2'
          type: array
        id:
          description: Unique identifier for this escalation path.
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
        name:
          description: The name of this escalation path, for the user's reference.
          example: Urgent Support
          type: string
        path:
          description: The nodes that form the levels and branches of this escalation path.
          example:
            - delay:
                delay_interval_condition: active
                delay_seconds: 300
                delay_weekday_interval_config_id: 01FCNDV6P870EA6S7TK1DSYDG0
              id: 01FCNDV6P870EA6S7TK1DSYDG0
              if_else:
                conditions:
                  - operation:
                      label: Lawrence Jones
                      value: 01FCQSP07Z74QMMYPDDGQB9FTG
                    param_bindings:
                      - array_value:
                          - label: Lawrence Jones
                            literal: SEV123
                            reference: incident.severity
                        value:
                          label: Lawrence Jones
                          literal: SEV123
                          reference: incident.severity
                    subject:
                      label: Incident Severity
                      reference: incident.severity
                else_path:
                  - {}
                then_path:
                  - {}
              level:
                ack_mode: all
                round_robin_config:
                  enabled: false
                  rotate_after_seconds: 120
                targets:
                  - id: lawrencejones
                    schedule_mode: currently_on_call
                    selected_rota_id: 01FCNDV6P870EA6S7TK1DSYDG0
                    type: schedule
                    urgency: high
                time_to_ack_interval_condition: active
                time_to_ack_seconds: 1800
                time_to_ack_weekday_interval_config_id: 01FCNDV6P870EA6S7TK1DSYDG0
              notify_channel:
                targets:
                  - id: lawrencejones
                    schedule_mode: currently_on_call
                    selected_rota_id: 01FCNDV6P870EA6S7TK1DSYDG0
                    type: schedule
                    urgency: high
                time_to_ack_interval_condition: active
                time_to_ack_seconds: 1800
                time_to_ack_weekday_interval_config_id: 01FCNDV6P870EA6S7TK1DSYDG0
              repeat:
                repeat_times: 3
                to_node: 01FCNDV6P870EA6S7TK1DSYDG0
              type: if_else
          items:
            $ref: '#/components/schemas/EscalationPathNodeV2'
          type: array
        repeat_config:
          $ref: '#/components/schemas/EscalationPathRepeatConfigV2'
        team_ids:
          description: >-
            IDs of the teams that own this escalation path. This will
            automatically sync escalation paths with the right teams in Catalog.
            If you have an escalation paths attribute on your Teams, this
            attribute is required.
          example:
            - 01JPQA75EPNEES4479P16P4XAB
          items:
            example: abc123
            type: string
          type: array
        working_hours:
          description: The working hours for this escalation path.
          example:
            - id: abc123
              name: abc123
              timezone: abc123
              weekday_intervals:
                - end_time: '17:00'
                  start_time: '09:00'
                  weekday: monday
          items:
            $ref: '#/components/schemas/WeekdayIntervalConfigV2'
          type: array
      required:
        - id
        - name
        - path
        - team_ids
      type: object
    PaginationMetaResultV2:
      example:
        after: 01FCNDV6P870EA6S7TK1DSYDG0
        page_size: 25
      properties:
        after:
          description: If provided, pass this as the 'after' param to load the next page
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
        page_size:
          default: 25
          description: What was the maximum number of results requested
          example: 25
          format: int64
          maximum: 250
          type: integer
      required:
        - page_size
      type: object
    UserV2:
      example:
        email: lisa@incident.io
        id: 01FCNDV6P870EA6S7TK1DSYDG0
        name: Lisa Karlin Curtis
        role: owner
        slack_user_id: U02AYNF2XJM
      properties:
        email:
          description: Email address of the user.
          example: lisa@incident.io
          type: string
        id:
          description: Unique identifier of the user
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
        name:
          description: Name of the user
          example: Lisa Karlin Curtis
          type: string
        role:
          description: >-
            DEPRECATED: Role of the user as of March 9th 2023, this value is no
            longer updated.
          enum:
            - viewer
            - responder
            - administrator
            - owner
            - unset
          example: owner
          type: string
        slack_user_id:
          description: Slack ID of the user
          example: U02AYNF2XJM
          type: string
      required:
        - role
        - id
        - name
      type: object
    EscalationPathNodeV2:
      example:
        delay:
          delay_interval_condition: active
          delay_seconds: 300
          delay_weekday_interval_config_id: 01FCNDV6P870EA6S7TK1DSYDG0
        id: 01FCNDV6P870EA6S7TK1DSYDG0
        if_else:
          conditions:
            - operation:
                label: Lawrence Jones
                value: 01FCQSP07Z74QMMYPDDGQB9FTG
              param_bindings:
                - array_value:
                    - label: Lawrence Jones
                      literal: SEV123
                      reference: incident.severity
                  value:
                    label: Lawrence Jones
                    literal: SEV123
                    reference: incident.severity
              subject:
                label: Incident Severity
                reference: incident.severity
          else_path:
            - {}
          then_path:
            - {}
        level:
          ack_mode: all
          round_robin_config:
            enabled: false
            rotate_after_seconds: 120
          targets:
            - id: lawrencejones
              schedule_mode: currently_on_call
              selected_rota_id: 01FCNDV6P870EA6S7TK1DSYDG0
              type: schedule
              urgency: high
          time_to_ack_interval_condition: active
          time_to_ack_seconds: 1800
          time_to_ack_weekday_interval_config_id: 01FCNDV6P870EA6S7TK1DSYDG0
        notify_channel:
          targets:
            - id: lawrencejones
              schedule_mode: currently_on_call
              selected_rota_id: 01FCNDV6P870EA6S7TK1DSYDG0
              type: schedule
              urgency: high
          time_to_ack_interval_condition: active
          time_to_ack_seconds: 1800
          time_to_ack_weekday_interval_config_id: 01FCNDV6P870EA6S7TK1DSYDG0
        repeat:
          repeat_times: 3
          to_node: 01FCNDV6P870EA6S7TK1DSYDG0
        type: if_else
      properties:
        delay:
          $ref: '#/components/schemas/EscalationPathNodeDelayV2'
        id:
          description: >-
            An ID for this node, unique within the escalation path.


            This allows you to reference the node in other nodes, such as when
            configuring a 'repeat' node.
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
        if_else:
          $ref: '#/components/schemas/EscalationPathNodeIfElseV2'
        level:
          $ref: '#/components/schemas/EscalationPathNodeLevelV2'
        notify_channel:
          $ref: '#/components/schemas/EscalationPathNodeNotifyChannelV2'
        repeat:
          $ref: '#/components/schemas/EscalationPathNodeRepeatV2'
        type:
          description: >-
            The type of this node. Available types are:

            * level: A set of targets (users or schedules) that should be paged,
            either all at once, or with a round-robin configuration.

            * notify_channel: Send the escalation to a Slack channel, where it
            can be acked by anyone in the channel.

            * if_else: Branch the escalation based on a set of conditions.

            * repeat: Go back to a previous node and repeat the logic from
            there.

            * delay: Pause the escalation for a configured duration before
            advancing to the next node.
          enum:
            - if_else
            - repeat
            - level
            - notify_channel
            - delay
          example: if_else
          type: string
      required:
        - id
        - type
      type: object
    EscalationPathRepeatConfigV2:
      example:
        delay_repeat_on_activity: false
        repeat_after_seconds: 1800
      properties:
        delay_repeat_on_activity:
          default: false
          description: When true, incident activity resets the repeat timer.
          example: false
          type: boolean
        repeat_after_seconds:
          description: Number of seconds we'll wait before repeating an escalation.
          example: 1800
          format: int32
          maximum: 345600
          minimum: 300
          type: integer
      required:
        - repeat_after_seconds
        - delay_repeat_on_activity
      type: object
    WeekdayIntervalConfigV2:
      example:
        id: abc123
        name: abc123
        timezone: abc123
        weekday_intervals:
          - end_time: '17:00'
            start_time: '09:00'
            weekday: monday
      properties:
        id:
          description: The unique identifier for this set of working intervals
          example: abc123
          type: string
        name:
          description: A human readable label for this set of working intervals
          example: abc123
          type: string
        timezone:
          description: How to interpret all the intervals
          example: abc123
          type: string
        weekday_intervals:
          example:
            - end_time: '17:00'
              start_time: '09:00'
              weekday: monday
          items:
            $ref: '#/components/schemas/WeekdayIntervalV2'
          type: array
      required:
        - id
        - name
        - timezone
        - weekday_intervals
      type: object
    EscalationPathNodeDelayV2:
      example:
        delay_interval_condition: active
        delay_seconds: 300
        delay_weekday_interval_config_id: 01FCNDV6P870EA6S7TK1DSYDG0
      properties:
        delay_interval_condition:
          description: >-
            If the delay is relative to a time window, this defines whether we
            advance when the window is active or inactive
          enum:
            - active
            - inactive
          example: active
          type: string
        delay_seconds:
          description: >-
            How long to delay before advancing to the next node in the path, in
            seconds
          example: 300
          format: int64
          type: integer
        delay_weekday_interval_config_id:
          description: >-
            If the delay is relative to a time window, this identifies which
            window it is relative to
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
      type: object
    EscalationPathNodeIfElseV2:
      example:
        conditions:
          - operation:
              label: Lawrence Jones
              value: 01FCQSP07Z74QMMYPDDGQB9FTG
            param_bindings:
              - array_value:
                  - label: Lawrence Jones
                    literal: SEV123
                    reference: incident.severity
                value:
                  label: Lawrence Jones
                  literal: SEV123
                  reference: incident.severity
            subject:
              label: Incident Severity
              reference: incident.severity
        else_path:
          - delay:
              delay_interval_condition: active
              delay_seconds: 300
              delay_weekday_interval_config_id: 01FCNDV6P870EA6S7TK1DSYDG0
            id: 01FCNDV6P870EA6S7TK1DSYDG0
            if_else:
              conditions:
                - operation:
                    label: Lawrence Jones
                    value: 01FCQSP07Z74QMMYPDDGQB9FTG
                  param_bindings:
                    - array_value:
                        - label: Lawrence Jones
                          literal: SEV123
                          reference: incident.severity
                      value:
                        label: Lawrence Jones
                        literal: SEV123
                        reference: incident.severity
                  subject:
                    label: Incident Severity
                    reference: incident.severity
              else_path:
                - {}
              then_path:
                - {}
            level:
              ack_mode: all
              round_robin_config:
                enabled: false
                rotate_after_seconds: 120
              targets:
                - id: lawrencejones
                  schedule_mode: currently_on_call
                  selected_rota_id: 01FCNDV6P870EA6S7TK1DSYDG0
                  type: schedule
                  urgency: high
              time_to_ack_interval_condition: active
              time_to_ack_seconds: 1800
              time_to_ack_weekday_interval_config_id: 01FCNDV6P870EA6S7TK1DSYDG0
            notify_channel:
              targets:
                - id: lawrencejones
                  schedule_mode: currently_on_call
                  selected_rota_id: 01FCNDV6P870EA6S7TK1DSYDG0
                  type: schedule
                  urgency: high
              time_to_ack_interval_condition: active
              time_to_ack_seconds: 1800
              time_to_ack_weekday_interval_config_id: 01FCNDV6P870EA6S7TK1DSYDG0
            repeat:
              repeat_times: 3
              to_node: 01FCNDV6P870EA6S7TK1DSYDG0
            type: if_else
        then_path:
          - delay:
              delay_interval_condition: active
              delay_seconds: 300
              delay_weekday_interval_config_id: 01FCNDV6P870EA6S7TK1DSYDG0
            id: 01FCNDV6P870EA6S7TK1DSYDG0
            if_else:
              conditions:
                - operation:
                    label: Lawrence Jones
                    value: 01FCQSP07Z74QMMYPDDGQB9FTG
                  param_bindings:
                    - array_value:
                        - label: Lawrence Jones
                          literal: SEV123
                          reference: incident.severity
                      value:
                        label: Lawrence Jones
                        literal: SEV123
                        reference: incident.severity
                  subject:
                    label: Incident Severity
                    reference: incident.severity
              else_path:
                - {}
              then_path:
                - {}
            level:
              ack_mode: all
              round_robin_config:
                enabled: false
                rotate_after_seconds: 120
              targets:
                - id: lawrencejones
                  schedule_mode: currently_on_call
                  selected_rota_id: 01FCNDV6P870EA6S7TK1DSYDG0
                  type: schedule
                  urgency: high
              time_to_ack_interval_condition: active
              time_to_ack_seconds: 1800
              time_to_ack_weekday_interval_config_id: 01FCNDV6P870EA6S7TK1DSYDG0
            notify_channel:
              targets:
                - id: lawrencejones
                  schedule_mode: currently_on_call
                  selected_rota_id: 01FCNDV6P870EA6S7TK1DSYDG0
                  type: schedule
                  urgency: high
              time_to_ack_interval_condition: active
              time_to_ack_seconds: 1800
              time_to_ack_weekday_interval_config_id: 01FCNDV6P870EA6S7TK1DSYDG0
            repeat:
              repeat_times: 3
              to_node: 01FCNDV6P870EA6S7TK1DSYDG0
            type: if_else
      properties:
        conditions:
          description: The condition that defines which branch to take
          example:
            - operation:
                label: Lawrence Jones
                value: 01FCQSP07Z74QMMYPDDGQB9FTG
              param_bindings:
                - array_value:
                    - label: Lawrence Jones
                      literal: SEV123
                      reference: incident.severity
                  value:
                    label: Lawrence Jones
                    literal: SEV123
                    reference: incident.severity
              subject:
                label: Incident Severity
                reference: incident.severity
          items:
            $ref: '#/components/schemas/ConditionV2'
          type: array
        else_path:
          description: The nodes that form the levels if our condition is not met
          example:
            - delay:
                delay_interval_condition: active
                delay_seconds: 300
                delay_weekday_interval_config_id: 01FCNDV6P870EA6S7TK1DSYDG0
              id: 01FCNDV6P870EA6S7TK1DSYDG0
              if_else:
                conditions:
                  - operation:
                      label: Lawrence Jones
                      value: 01FCQSP07Z74QMMYPDDGQB9FTG
                    param_bindings:
                      - array_value:
                          - label: Lawrence Jones
                            literal: SEV123
                            reference: incident.severity
                        value:
                          label: Lawrence Jones
                          literal: SEV123
                          reference: incident.severity
                    subject:
                      label: Incident Severity
                      reference: incident.severity
                else_path:
                  - {}
                then_path:
                  - {}
              level:
                ack_mode: all
                round_robin_config:
                  enabled: false
                  rotate_after_seconds: 120
                targets:
                  - id: lawrencejones
                    schedule_mode: currently_on_call
                    selected_rota_id: 01FCNDV6P870EA6S7TK1DSYDG0
                    type: schedule
                    urgency: high
                time_to_ack_interval_condition: active
                time_to_ack_seconds: 1800
                time_to_ack_weekday_interval_config_id: 01FCNDV6P870EA6S7TK1DSYDG0
              notify_channel:
                targets:
                  - id: lawrencejones
                    schedule_mode: currently_on_call
                    selected_rota_id: 01FCNDV6P870EA6S7TK1DSYDG0
                    type: schedule
                    urgency: high
                time_to_ack_interval_condition: active
                time_to_ack_seconds: 1800
                time_to_ack_weekday_interval_config_id: 01FCNDV6P870EA6S7TK1DSYDG0
              repeat:
                repeat_times: 3
                to_node: 01FCNDV6P870EA6S7TK1DSYDG0
              type: if_else
          items:
            $ref: '#/components/schemas/EscalationPathNodeV2'
          type: array
        then_path:
          description: The nodes that form the levels if our condition is met
          example:
            - delay:
                delay_interval_condition: active
                delay_seconds: 300
                delay_weekday_interval_config_id: 01FCNDV6P870EA6S7TK1DSYDG0
              id: 01FCNDV6P870EA6S7TK1DSYDG0
              if_else:
                conditions:
                  - operation:
                      label: Lawrence Jones
                      value: 01FCQSP07Z74QMMYPDDGQB9FTG
                    param_bindings:
                      - array_value:
                          - label: Lawrence Jones
                            literal: SEV123
                            reference: incident.severity
                        value:
                          label: Lawrence Jones
                          literal: SEV123
                          reference: incident.severity
                    subject:
                      label: Incident Severity
                      reference: incident.severity
                else_path:
                  - {}
                then_path:
                  - {}
              level:
                ack_mode: all
                round_robin_config:
                  enabled: false
                  rotate_after_seconds: 120
                targets:
                  - id: lawrencejones
                    schedule_mode: currently_on_call
                    selected_rota_id: 01FCNDV6P870EA6S7TK1DSYDG0
                    type: schedule
                    urgency: high
                time_to_ack_interval_condition: active
                time_to_ack_seconds: 1800
                time_to_ack_weekday_interval_config_id: 01FCNDV6P870EA6S7TK1DSYDG0
              notify_channel:
                targets:
                  - id: lawrencejones
                    schedule_mode: currently_on_call
                    selected_rota_id: 01FCNDV6P870EA6S7TK1DSYDG0
                    type: schedule
                    urgency: high
                time_to_ack_interval_condition: active
                time_to_ack_seconds: 1800
                time_to_ack_weekday_interval_config_id: 01FCNDV6P870EA6S7TK1DSYDG0
              repeat:
                repeat_times: 3
                to_node: 01FCNDV6P870EA6S7TK1DSYDG0
              type: if_else
          items:
            $ref: '#/components/schemas/EscalationPathNodeV2'
          type: array
      required:
        - conditions
        - then_path
        - else_path
      type: object
    EscalationPathNodeLevelV2:
      example:
        ack_mode: all
        round_robin_config:
          enabled: false
          rotate_after_seconds: 120
        targets:
          - id: lawrencejones
            schedule_mode: currently_on_call
            selected_rota_id: 01FCNDV6P870EA6S7TK1DSYDG0
            type: schedule
            urgency: high
        time_to_ack_interval_condition: active
        time_to_ack_seconds: 1800
        time_to_ack_weekday_interval_config_id: 01FCNDV6P870EA6S7TK1DSYDG0
      properties:
        ack_mode:
          description: >-
            Controls the behaviour of acknowledgements for this level, with
            'first' cancelling all other escalations on the same level when
            someone acks
          enum:
            - all
            - first
          example: all
          type: string
        round_robin_config:
          $ref: '#/components/schemas/EscalationPathRoundRobinConfigV2'
        targets:
          description: The targets (users or schedules) for this level
          example:
            - id: lawrencejones
              schedule_mode: currently_on_call
              selected_rota_id: 01FCNDV6P870EA6S7TK1DSYDG0
              type: schedule
              urgency: high
          items:
            $ref: '#/components/schemas/EscalationPathTargetV2'
          type: array
        time_to_ack_interval_condition:
          description: >-
            If the time to ack is relative to a time window, this defines
            whether we move when the window is active or inactive
          enum:
            - active
            - inactive
          example: active
          type: string
        time_to_ack_seconds:
          description: >-
            How long should we wait for this level to acknowledge before
            proceeding to the next node in the path?
          example: 1800
          format: int64
          type: integer
        time_to_ack_weekday_interval_config_id:
          description: >-
            If the time to ack is relative to a time window, this identifies
            which window it is relative to
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
      required:
        - targets
      type: object
    EscalationPathNodeNotifyChannelV2:
      example:
        targets:
          - id: lawrencejones
            schedule_mode: currently_on_call
            selected_rota_id: 01FCNDV6P870EA6S7TK1DSYDG0
            type: schedule
            urgency: high
        time_to_ack_interval_condition: active
        time_to_ack_seconds: 1800
        time_to_ack_weekday_interval_config_id: 01FCNDV6P870EA6S7TK1DSYDG0
      properties:
        targets:
          description: The targets (Slack channels) for this level
          example:
            - id: lawrencejones
              schedule_mode: currently_on_call
              selected_rota_id: 01FCNDV6P870EA6S7TK1DSYDG0
              type: schedule
              urgency: high
          items:
            $ref: '#/components/schemas/EscalationPathTargetV2'
          type: array
        time_to_ack_interval_condition:
          description: >-
            If the time to ack is relative to a time window, this defines
            whether we move when the window is active or inactive
          enum:
            - active
            - inactive
          example: active
          type: string
        time_to_ack_seconds:
          description: >-
            How long should we wait for this level to acknowledge before moving
            on to the next node in the path?
          example: 1800
          format: int64
          type: integer
        time_to_ack_weekday_interval_config_id:
          description: >-
            If the time to ack is relative to a time window, this identifies
            which window it is relative to
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
      required:
        - targets
      type: object
    EscalationPathNodeRepeatV2:
      example:
        repeat_times: 3
        to_node: 01FCNDV6P870EA6S7TK1DSYDG0
      properties:
        repeat_times:
          description: How many times to repeat these nodes
          example: 3
          format: int64
          type: integer
        to_node:
          description: Which node ID we begin repeating from.
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
      required:
        - to_node
        - repeat_times
      type: object
    WeekdayIntervalV2:
      example:
        end_time: '17:00'
        start_time: '09:00'
        weekday: monday
      properties:
        end_time:
          description: End time of the interval, in 24hr format
          example: '17:00'
          type: string
        start_time:
          description: Start time of the interval, in 24hr format
          example: '09:00'
          type: string
        weekday:
          description: Weekdays for use within a schedule or escalation path
          enum:
            - monday
            - tuesday
            - wednesday
            - thursday
            - friday
            - saturday
            - sunday
          example: monday
          type: string
          x-public-api-version: v2
      required:
        - weekday
        - start_time
        - end_time
      type: object
    ConditionV2:
      example:
        operation:
          label: Lawrence Jones
          value: 01FCQSP07Z74QMMYPDDGQB9FTG
        param_bindings:
          - array_value:
              - label: Lawrence Jones
                literal: SEV123
                reference: incident.severity
            value:
              label: Lawrence Jones
              literal: SEV123
              reference: incident.severity
        subject:
          label: Incident Severity
          reference: incident.severity
      properties:
        operation:
          $ref: '#/components/schemas/ConditionOperationV2'
        param_bindings:
          description: Bindings for the operation parameters
          example:
            - array_value:
                - label: Lawrence Jones
                  literal: SEV123
                  reference: incident.severity
              value:
                label: Lawrence Jones
                literal: SEV123
                reference: incident.severity
          items:
            $ref: '#/components/schemas/EngineParamBindingV2'
          type: array
        subject:
          $ref: '#/components/schemas/ConditionSubjectV2'
      required:
        - subject
        - operation
        - param_bindings
      type: object
    EscalationPathRoundRobinConfigV2:
      example:
        enabled: false
        rotate_after_seconds: 120
      properties:
        enabled:
          description: Whether round robin is enabled for this level
          example: false
          type: boolean
        rotate_after_seconds:
          description: >-
            How long should we wait before rotating to the next target in a
            round robin, if not set will stick with a single target per level.
          example: 120
          format: int64
          type: integer
      required:
        - enabled
      type: object
    EscalationPathTargetV2:
      example:
        id: lawrencejones
        schedule_mode: currently_on_call
        selected_rota_id: 01FCNDV6P870EA6S7TK1DSYDG0
        type: schedule
        urgency: high
      properties:
        id:
          description: Uniquely identifies an entity of this type
          example: lawrencejones
          type: string
        schedule_mode:
          description: >-
            Only set for schedule targets, this specifies which users to fetch
            from the schedule. Use currently_on_call to notify whoever is on
            call right now across the schedule, all_users to notify every user
            attached to the schedule, or all_users_for_rota /
            currently_on_call_for_rota / next_on_call_for_rota to scope to a
            specific rota (in which case selected_rota_id is required).
            next_on_call notifies whoever is next on call across the schedule.
          enum:
            - currently_on_call
            - all_users_for_rota
            - all_users
            - currently_on_call_for_rota
            - next_on_call_for_rota
            - next_on_call
            - ''
          example: currently_on_call
          type: string
        selected_rota_id:
          description: >-
            For schedule targets, identifies which rota on the schedule the
            schedule_mode applies to. Required when schedule_mode is
            all_users_for_rota, currently_on_call_for_rota, or
            next_on_call_for_rota; must be omitted for other schedule_mode
            values.
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
        type:
          description: >-
            Controls what type of entity this target identifies, such as
            EscalationPolicy or User
          enum:
            - schedule
            - user
            - slack_channel
            - msteams_channel
          example: schedule
          type: string
          x-public-api-version: v2
        urgency:
          description: The urgency of this escalation path target
          enum:
            - high
            - low
          example: high
          type: string
      required:
        - type
        - id
        - urgency
      type: object
    ConditionOperationV2:
      example:
        label: Lawrence Jones
        value: 01FCQSP07Z74QMMYPDDGQB9FTG
      properties:
        label:
          description: Human readable label to be displayed for user to select
          example: Lawrence Jones
          type: string
        value:
          description: Unique identifier for this option
          example: 01FCQSP07Z74QMMYPDDGQB9FTG
          type: string
      required:
        - label
        - value
      type: object
    EngineParamBindingV2:
      example:
        array_value:
          - label: Lawrence Jones
            literal: SEV123
            reference: incident.severity
        value:
          label: Lawrence Jones
          literal: SEV123
          reference: incident.severity
      properties:
        array_value:
          description: If array_value is set, this helps render the values
          example:
            - label: Lawrence Jones
              literal: SEV123
              reference: incident.severity
          items:
            $ref: '#/components/schemas/EngineParamBindingValueV2'
          type: array
        value:
          $ref: '#/components/schemas/EngineParamBindingValueV2'
      type: object
    ConditionSubjectV2:
      example:
        label: Incident Severity
        reference: incident.severity
      properties:
        label:
          description: Human readable identifier for the subject
          example: Incident Severity
          type: string
        reference:
          description: Reference into the scope for the value of the subject
          example: incident.severity
          type: string
      required:
        - label
        - reference
      type: object
    EngineParamBindingValueV2:
      example:
        label: Lawrence Jones
        literal: SEV123
        reference: incident.severity
      properties:
        label:
          description: Human readable label to be displayed for user to select
          example: Lawrence Jones
          type: string
        literal:
          description: If set, this is the literal value of the step parameter
          example: SEV123
          type: string
        reference:
          description: >-
            If set, this is the reference into the trigger scope that is the
            value of this parameter
          example: incident.severity
          type: string
      required:
        - label
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: API key from your incident.io dashboard (Settings → API keys)

````